Package org.drinkless.tdlib

# Class TdApi.SearchStickers

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Function<TdApi.Stickers>
org.drinkless.tdlib.TdApi.SearchStickers

Enclosing class:
  `TdApi`

public static class TdApi.SearchStickers extends TdApi.Function<TdApi.Stickers>
Searches for stickers from public sticker sets that correspond to any of the given emoji.

Returns `Stickers`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Function

  `TdApi.Function.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `String`
  `emojis`
  Space-separated list of emojis to search for.
  `String[]`
  `inputLanguageCodes`
  List of possible IETF language tags of the user's input language; may be empty if unknown.
  `int`
  `limit`
  The maximum number of stickers to be returned; 0-100.
  `int`
  `offset`
  The offset from which to return the stickers; must be non-negative.
  `String`
  `query`
  Query to search for; may be empty to search for emoji only.
  `TdApi.StickerType`
  `stickerType`
  Type of the stickers to return.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SearchStickers()`
  Default constructor for a function, which searches for stickers from public sticker sets that correspond to any of the given emoji.
  `SearchStickers(TdApi.StickerType stickerType, String emojis, String query, String[] inputLanguageCodes, int offset, int limit)`
  Creates a function, which searches for stickers from public sticker sets that correspond to any of the given emoji.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Function

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### stickerType

    public TdApi.StickerType stickerType
    Type of the stickers to return.

  - ### emojis

    public String emojis
    Space-separated list of emojis to search for.

  - ### query

    public String query
    Query to search for; may be empty to search for emoji only.

  - ### inputLanguageCodes

    public String[] inputLanguageCodes
    List of possible IETF language tags of the user's input language; may be empty if unknown.

  - ### offset

    public int offset
    The offset from which to return the stickers; must be non-negative.

  - ### limit

    public int limit
    The maximum number of stickers to be returned; 0-100.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### SearchStickers

    public SearchStickers()
    Default constructor for a function, which searches for stickers from public sticker sets that correspond to any of the given emoji.

    Returns `Stickers`

  - ### SearchStickers

    public SearchStickers(TdApi.StickerType stickerType, String emojis, String query, String[] inputLanguageCodes, int offset, int limit)
    Creates a function, which searches for stickers from public sticker sets that correspond to any of the given emoji.

    Returns `Stickers`

    Parameters:
      `stickerType` - Type of the stickers to return.
      `emojis` - Space-separated list of emojis to search for.
      `query` - Query to search for; may be empty to search for emoji only.
      `inputLanguageCodes` - List of possible IETF language tags of the user's input language; may be empty if unknown.
      `offset` - The offset from which to return the stickers; must be non-negative.
      `limit` - The maximum number of stickers to be returned; 0-100.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Function<TdApi.Stickers>`
    Returns:
      this.CONSTRUCTOR